PDFTEX(1)

NAME
pdftex, pdfinitex, pdfvirtex - PDF output from TeX

SYNOPSIS
pdftex [options] [commands]

DESCRIPTION
This manual page is not meant to be exhaustive. The complete documentation for this version of TeX can be found in the info file or manual Web2C: A TeX implementation.

pdfTeX is a version of TeX that can create PDF files as well as DVI files.

The typical use of pdfTeX is with a pregenerated formats for which PDF output has been enabled. The pdftex command uses the equivalent of the plain TeX format, and the pdflatex command uses the equivalent of the LaTeX format.

The pdfinitex and pdfvirtex commands are pdfTeX's analogues to the initex and virtex commands. In this installation, they are symlinks to the pdftex executable.

pdfTeX's handling of its command-line arguments is similar to that of TeX.

pdfTeX is beta software.

OPTIONS
This version of pdfTeX understands the following command line options.

--fmt format
    Use format as the name of the format to be used, instead of the name by which pdfTeX was called or a %& line.

--help
    Print help message and exit.

--ini
    Be pdfinitex, for dumping formats; this is implicitly true if the program is called as pdfinitex.

--interaction mode
    Sets the interaction mode. The mode can be one of batchmode, nonstopmode, scrollmode, and errorstopmode. The meaning of these modes is the same as that of the corresponding \commands.

--ipc
    Send DVI or PDF output to a socket as well as the usual output file. Whether this option is available is the choice of the installer.

--ipc-start
    As --ipc, and starts the server at the other end as well. Whether this option is available is the choice of the installer.

--kpathsea-debug bitmask
    Sets path searching debugging flags according to the bitmask. See the Kpathsea manual for details.

--maketex fmt
    Enable mktexfmt, where fmt must be one of tex or tfm.

--no-maketex fmt
    Disable mktexfmt, where fmt must be one of tex or tfm.

--output-comment string
    Use string for the DVI file comment instead of the date.

--progname name
    Pretend to be program name. This affects both the format used and the search paths.

--shell-escape
    Enable the \write18{command} construct. The command can be any Bourne shell command. This construct is normally disallowed for security reasons.

--version
    Print version information and exit.

ENVIRONMENT
See the Kpathsearch library documentation (the `Path specifications' node) for precise details of how the environment variables are used. The kpsewhich utility can be used to query the values of the variables.

One caveat: In most pdfTeX formats, you cannot use ~ in a filename you give directly to pdfTeX, because ~ is an active character, and hence is expanded, not taken as part of the filename. Other programs, such as , do not have this problem.

TEXMFOUTPUT
    Normally, pdfTeX puts its output files in the current directory. If any output file cannot be opened there, it tries to open it in the directory specified in the environment variable TEXMFOUTPUT. There is no default value for that variable. For example, if you say tex paper and the current directory is not writable, if TEXMFOUTPUT has the value /tmp, pdfTeX attempts to create /tmp/paper.log (and /tmp/paper.pdf, if any output is produced.)

TEXINPUTS
    Search path for \input and \openin files. This should probably start with ``.'', so that user files are found before system files.

TEXFONTS
    Search path for font metric (.tfm) files.

TEXFORMATS
    Search path for format files.

TEXPOOL
    search path for pdfinitex internal strings.

TEXEDIT
    Command template for switching to editor. The default, usually vi, is set when pdfTeX is compiled.

FILES
The location of the files mentioned below varies from system to system. Use the kpsewhich utility to find their locations.

pdftex.pool
    Encoded text of pdfTeX's messages.

texfonts.map
    Filename mapping definitions.

*.tfm
    Metric files for pdfTeX's fonts.

*.fmt
    Predigested pdfTeX format (.fmt) files.

BUGS
This version of pdfTeX fails to trap arithmetic overflow when dimensions are added or subtracted. Cases where this occurs are rare, but when it does the generated DVI file will be invalid.

pdfTeX is beta software. Subscribe to the pdftex mailing list pdftex@tug.org if you intend to use it. This is a mojordomo list, to subscribe send a message containing subscribe pdftex to majordomo@tug.org.

SEE ALSO
tex(1), mf(1), undump(1).

AUTHORS
The primary authors of pdfTeX are Han The Thanh, Petr Sojka, and Jiri Zlatuska.